Get LinkedIn Profile Details based on URL
POST /api/v1/get_profile_details
This API allows the authenticated user to retrieve the LinkedIn profile details of a specific user or company by providing a LinkedIn profile URL.
The profile_url parameter should be the LinkedIn profile URL.
Headers
| Name | Type | Required |
|---|---|---|
x-api-key | string | Yes |
x-api-secret | string | Yes |
Request Body
Schema
accountIdstringrequiredThe unique identifier of the WeLink account.
profile_urlstringrequiredThe URL of the LinkedIn profile.
Sample Request
{
"accountId": "string",
"profile_url": "string"
}
Responses
Webhook Events
Schema
first_namestringrequiredFirst name of the profile.
last_namestringrequiredLast name of the profile.
full_namestringFull display name of the profile.
titlestringCurrent job title.
locationstringUser's geographic location.
industrystringUser's industry.
experiencearray[]List of work experience entries.
companystringCurrent company name.
imagestringURL of the profile picture.
linkedinstringLinkedin public identifier.
educationstringEducation summary.
summarystringProfile summary or about section.
emailstringThe email address associated with the LinkedIn account.
websiteobjectPersonal or company website URL.
birthdayobjectUser's birthday.
phoneobjectPhone number.
twitterobjectTwitter handle.
connectionsnumberNumber of LinkedIn connections.
addressobjectMailing address.
is_premiumbooleanWhether the user has LinkedIn Premium.
is_openlinkbooleanWhether the user accepts Open InMail.
is_connectedbooleanWhether you are connected with this user.
is_followingbooleanWhether you are following this user.
is_influencerbooleanWhether the user is a LinkedIn Influencer.
is_jobseekerbooleanWhether the user has the #OpenToWork badge.
can_send_open_inmailbooleanWhether you can send a free InMail to this user.
headlinestringProfile headline text.
followers_countnumberNumber of followers.
tracking_idstringLinkedIn internal tracking identifier.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
skillsarrayList of skills listed on the profile.
universal_namestringUniversal name identifier.
Sample Response
{
"first_name": "string",
"last_name": "string",
"full_name": "string",
"title": "string",
"location": "string",
"industry": "string",
"experience": [
{
"name": "string",
"title": "string",
"description": "string",
"location": "string",
"logo": "string",
"start_date": "string",
"industries": [
"string"
],
"end_date": "string",
"universal_name": "string"
}
],
"company": "string",
"image": "string",
"linkedin": "string",
"education": "string",
"summary": "string",
"email": "string",
"website": null,
"birthday": null,
"phone": null,
"twitter": null,
"connections": 0,
"address": null,
"is_premium": false,
"is_openlink": false,
"is_connected": false,
"is_following": false,
"is_influencer": false,
"is_jobseeker": false,
"can_send_open_inmail": false,
"headline": "string",
"followers_count": 0,
"tracking_id": "string",
"profile_id": "string",
"skills": [
"string"
],
"universal_name": "string"
}